matrix:
  platform:
    - centos7
    - debian10
    - ubuntu2004
    - macos
    - windows
tasks:
  verify_targets:
    name: Verify build targets
    platform: ${{ platform }}
    build_targets:
      - '@rules_go//go/tools/bzltestutil/...'
bcr_test_module:
  module_path: tests/bcr
  matrix:
    platform:
      - centos7
      - debian10
      - ubuntu2004
      - macos
      - windows
  tasks:
    run_test_module:
      name: Run test module
      platform: ${{ platform }}
      build_targets:
        - //...
        - '@go_sdk//...'
      test_targets:
        - //...
